AUG
22
2002

KDE 3.1 Beta 1: Hot off the Servers

The KDE Project is pleased to announce the availability of KDE
3.1 Beta 1 for your testing enjoyment. This release, which marks
the second testing release of the KDE 3.1 branch, offers many
improvements and bug fixes over KDE 3.0.x. New features include
improved OpenPGP handling in KMail, handy tooltips that provide
details of files in Konqueror quickly, and even new ways to be
less productive thanks to four new games.

KDE 3.1 also officially introduces the much acclaimed Keramik
style as the new default widget style. On the PIM front, this
beta adds LDAP support to KAddressBook and also an AvantGo
conduit to KPilot. In all, this release sports hundreds of new
features, bug fixes, and improvements, many of which you can read
about here.

To get KDE 3.1 Beta 1, you can download source code tarballs at your favorite
mirror site, or right here. Binaries for several distributions are also available, see the full announcement for details and download locations. Hats off to Dirk
Mueller
for coordinating this release and preparing the release announcement. In addition, congratulations to
all of the hard working developers for putting together such a
large set of improvements!

Comments

I've had 2 big problems with mdk plus some minor ones.
The two are:

Konq dosen't handle cookies and if you go to configuration it says can't find cookie server.

Besides kmail dosen't have the gpg plugin it should (or I don't know where it is) so I can't use encrypted mail.

But I was already expecting some problems, once it's a beta. :)
But, does anyone have a solution for them?


By Iuri Fiedoruk at Thu, 2002/08/22 - 5:00am

Since yesterday, I receive the same error message about the cookie server. Only as a regular user though, when I run Konqueror as root, everything works fine.

I'm running Debian Unstable with XFree86 4.2.1 and KDE 3.1 beta 1...

I hope anyone has a way to fix this :)


By rb338 at Wed, 2002/09/18 - 5:00am

Since yesterday, I receive the same error message about the cookie server. Only as a regular user though, when I run Konqueror as root, everything works fine.

I'm running Debian Unstable with XFree86 4.2.1 and KDE 3.1 beta 1...

I hope anyone has a way to fix this :)


By rb338 at Wed, 2002/09/18 - 5:00am

I also am getting this error message for my user ID on one of the systems I upgraded to 3.1-4. My wife's userid on the same system is fine, and my other system (also 3.1-4) is fine as well.


By Scott Bogert at Tue, 2003/04/29 - 5:00am

I've downloaded all the mandrake packages, then hunted down all the dependencies. I am down to one and I can't figure it out. I run:

rpm -Uvh *.*

and get the following:

error: failed dependencies:
libkateinterfaces.so.0 is needed by kdeaddons3-3.0.1-1mdk

The interesting thing is that kdeaddons3-3.0.1-1mdk does not exist in that folder or anywhere on the system. This file is from the KDE 3.0.1 installation. Furthermore, libkateinterfaces is provided by kdebase package.

What am I missing?


By Frank Rizzo at Thu, 2002/08/22 - 5:00am

Use rpm -Uhv --force --nodeps


By fenris at Fri, 2002/08/23 - 5:00am

It seems that you are installing KDE 3.0.1, not KDE 3.1 Beta. I am already running KDE 3.0.3 with Keramik theme! I think you should get KDE 3.0.3 rpms.


By NS at Fri, 2002/08/23 - 5:00am

no, frank's previous version is kde 3.0.1!
it is failing dependencies, because kdeaddons3_3.0.1 need to keep that file. there's no kdeaddons3_3.1_beta1 package for MDK.
--nodeps may help (i did it so)


By luci at Sun, 2002/09/08 - 5:00am

Hi,
I had faced the same problem i went to rpmfind and downloaded the files.


By Progmaan at Fri, 2002/08/23 - 5:00am

Hi,
I had faced the same problem i went to rpmfind and downloaded these files

libart_lgpl2-2.3.10-2mdk.i586.rpm
libart_lgpl2-2.3.10-2mdk.i586.rpm


By Progmaan at Fri, 2002/08/23 - 5:00am

are theey many?
The alpha is already stable here...


By jaysaysay at Fri, 2002/08/23 - 5:00am

Sure, this represents six weeks of work of all which where not on vacation.


By Anonymous at Fri, 2002/08/23 - 5:00am

Using Keramic as the default theme was a very wise choice. It gives KDE a very professional look that IMHO out does both OS X and XP.


By Davy at Fri, 2002/08/23 - 5:00am

No new user will honestly choose Keramik vs Jaguar or WindowsXP. It's not as consistent or complete. It doesen't completely tehme KDE either. It also doesen't theme the Kicker. I think Keramik should come with this Kicker backkgroudn though: http://www.kde-look.org/content/show.php?content=1439 taht would make it better. I wish KDE devs would ahve seleted Mosfet HPL though.


By Alex at Wed, 2002/09/04 - 5:00am

Hi!

Kolf is a new miniature golf game (http://katzbrown.com/kolf/) in kdegames in KDE 3.1, and you can easily design your own courses. To learn how, read the documentation that comes with kolf. Basically, click the pencil icon in the toolbar, making sure you don't start the game in strict mode, and drag stuff around. Choose the "Create New" course in the new game dialog to make a new course, of course. To edit it again, add it to your course list with the Add button in the new game dialog.

You can upload kolf courses you make here:

http://katzbrown.com/kolf/Courses/Upload/

and view uploaded courses here:

http://katzbrown.com/kolf/Courses/User Uploaded/

Thanks!

Jason (Kolf Author)


By Jason Katz-Brown at Fri, 2002/08/23 - 5:00am

First kolf is so much fun, thank you.

Second, is there anyway to add new artwork to give my course a different look.


By theorz at Sat, 2002/08/24 - 5:00am

Sorry, not yet. I hope to add a way to insert pictures into courses by 3.2.

Cheers,
Jason


By Jason Katz-Brown at Sat, 2002/08/24 - 5:00am

Finally tabbed browsing is up in Konq. I have been using Moz 1.1b until now just for this feature.

With the Keramik theme, my Mandrake8.2+KDE3.1 will drive all those Windows and Mac users green with Envy.

KDE is great!


By Anand at Fri, 2002/08/23 - 5:00am

"my Mandrake8.2+KDE3.1 will drive all those Windows and Mac users green with Envy."

Not untill the Kicker looks similar fancy, elegantly and completed and is customizeable like WinXP's Start-panel.
If you first boot the Desktop, after installing the OS, it makes sense, to give the Kicker/Panel/Start-bar(whatever;) as much 'Eye-Candy' as possible, and even a bit more, to give the user view, that is completed! ;)
XP did that! and even Gnome did, i saw screenshots. but i love KDE ;_; so, have to wait for better look.

My opinion, the default "high-color" style of KDE should get some polish! it is already looking really good! (a bit similar to XP). With a nice kicker-background (if Kicker finally will drop it's BORDER!!!), and a nice coded Window-decoration like keramik, it is really great.
in My opinion, the Keramik-styled Buttons just look too HEAVY! just look at Html-pages! the Buttons don't fit at all (till now, maybe kde3.1 will be diffrent), and the tabs look anything but not beautiful, it seems that someone forgot them there;) The whole Tab-pane/window should get it's OWN color, at least not the same like the "window-background" color!

Need more eye-candy ? just ask..
argh, i should make screenshots/pictures, so that you all can see, how some >simple< things/changes make the KDE >really< lovely.
anyway keep on the great work. and just remember, sometimes, simple changes to colors/borders could win many new friends ;)


By Mononoke at Sat, 2002/08/24 - 5:00am

Can I have it?

Kristian


By Kristian Köhntopp at Fri, 2002/08/23 - 5:00am

Bwa ha haa

The ol' windows 3.11 for workgroup ... the crappy one ;-)


By Eng Genie at Mon, 2002/08/26 - 5:00am

Hey, why not? After all, it was truly user friendly!


By Steve Hunt at Mon, 2002/09/02 - 5:00am

The SuSE8 rpms are the worst ones i every saw from the dudes - missing rc files - missing pim - broken pam ect ect ect ... anyway .. compiled from the ground kde31b1 looks really cute and a lot of bugs from a1 seems to be fixed.

fyi: i repacked the faulty packages .. ready for download here:

http://www.marcooo.de/modules.php?name=News&file=article&sid=825

rgds
marc'O


By marc'O puszina at Fri, 2002/08/23 - 5:00am

A couple of Problems:

base package says:
error: kdebase-3.0.7-1.i686.rpm cannot be installed

and kdelibs, network, pim and utils are not available for download.


By ld6772 at Fri, 2002/08/23 - 5:00am

wait a little bit dude ... still uploading .. rpm packe u'r tried to install is currently in upload progress .. as allready said in the article:

NOTE2! - Die Packages werden zur Zeit u/loaded - eta 2h da nur 14k upstream...

... jeow i know .. that german ;-) ... eta 2h till all packages are ready for download ...

rgds
marc'O


By marc'O puszina at Fri, 2002/08/23 - 5:00am

That would be so great to make it compleet.

Have to do some waiting, but hey it will be good.
kdeaddons-3.0.7-1.i686.rpm
kdeadmin-3.0.7-1.i686.rpm
kdebase-3.0.7-1.i686.rpm
kdelibs-3.0.7-1.i686.rpm
kdenetwork-3.0.7-1.i686.rpm
kdepim-3.0.7-1.i686.rpm
kdeutils-3.0.7-1.i686.rpm

Thx thx


By VenimK at Fri, 2002/08/23 - 5:00am

well .. upload done .. had to resume 3 times because telco cut me off ... if anyone got a problem just give me a sign ...

rgds
marc'O


By marc'O puszina at Fri, 2002/08/23 - 5:00am

Waauuw a big thx to marc'O, YOu rulez.

did the -nodeps -fore you suggested, reboot and open 'd konq. And everything was looking good. GREAT


By VenimK at Fri, 2002/08/23 - 5:00am

Has any of you seen a kde 3.1 Beta1-release for Redhat?


By fenris at Fri, 2002/08/23 - 5:00am

Yes! I would love to see RedHat RPMs too. I'm dying to install and try out KDE 3.1 beta1. Is there some reason the RPMs have to be distribution specific? I am wondering if I could just install the Mandrake one for example. Yes I am a newbie. After suffering for many years with windows I am thrilled to be using Linux with KDE. It is sooooo much better! And KDE is so much better than Gnome too. But then you all knew that I am sure.

Any further info about how to get KDE 3.1 beta on my RedHat 7.3 system would be most appreciated.

One last thing, I have been reading about troubles with Konqueror not working right, missing buttons, etc. and I am wondering if there is some way to fix that if I try the beta.


By Michael Lyons at Fri, 2002/08/23 - 5:00am

does anyone got some ideas or some urls for me about this plugin stuff in kmail from kde3.1x?

rgds
marc'O


By marc'O puszina at Fri, 2002/08/23 - 5:00am

You'll find all necessary information here:
http://www.gnupg.org/aegypten/

Please note that building the plugins isn't trivial. Here you'll find a detailed howto:
http://www.gnupg.org/aegypten/development.en.html

Regards,
Ingo


By Ingo Klöcker at Fri, 2002/08/23 - 5:00am

hi ingo ..

thx alot for that info ... is agypt currently the only plugin stuff running with kmail? .... as far as i can see it's possible to code very nice stuff with this plugin interface ...

rgds
marc'O


By marc'O puszina at Sun, 2002/08/25 - 5:00am

Yes, currently there are only two plugins. One for PGP/MIME and one for S/MIME (both are part of the Aegypten project).

As I didn't have a look at the plugin interface I don't know how generic it is.

Regards,
Ingo


By Ingo Klöcker at Tue, 2002/08/27 - 5:00am

I want to find out how to compile/use the Open PGP plugin.
Does anyone knows? I'm currently without GPG working on kmail!


By Iuri Fiedoruk at Mon, 2002/08/26 - 5:00am

You don't need the plugins for using the simple build-in OpenPGP support (does only inline signing/encryption).

Regards,
Ingo


By Ingo Klöcker at Tue, 2002/08/27 - 5:00am

Here is the thing, when I try to see a encrypted mail that worked on kde 3.0.2, kmail says I have no specified Open PGP plugin and I need to set it.
Even signatures (trusted) aren't working.


By Iuri Fiedoruk at Tue, 2002/08/27 - 5:00am

Hmm, if it worked before (with KDE 3.0.2) then it should still work without plugin. If it doesn't work then please report this via bugs.kde.org.

Regards,
Ingo


By Ingo Klöcker at Tue, 2002/08/27 - 5:00am

I've found what was happening, it's strange but the old pgped mail aren't opening, but new ones I receive are! Very weirdo. Luck I had nothing important on the old mails :)
I hope this don't happens again in the future.


By Iuri Fiedoruk at Wed, 2002/08/28 - 5:00am

The preview of a document/url in the tooltip box is great widget :-)
I love it.


By JC at Fri, 2002/08/23 - 5:00am

I'm trying to compile KDE 3.1 beta with gcc 3.2

I successfully compiled&installed qt and kdelibs.

when I compile kdelibs, /kdm/backend gives the following err

auth.c: In function `ConvertAuthAddr':
auth.c:678: dereferencing pointer to incomplete type
auth.c:678: warning: implicit declaration of function `htonl'
auth.c: In function `writeLocalAuth':
auth.c:994: warning: unused variable `fd'
/usr/include/bits/socket.h: At top level:
auth.c:854: warning: `DefineSelf' defined but not used
make: *** [auth.o] Error 1

i'm not a developer and don't understand this. Any suggesstions????
Where do I ask these kinda questions..

thanks,
-Mathi


By mathi at Sat, 2002/08/24 - 5:00am

Subscribe to the mailing list "kde-devel". I have found the list very helpful for problems similar to this.

mailto:kde-devel-request@kde.org

amd the subject is

subscribe youremailaddress


By George at Sat, 2002/08/24 - 5:00am

Do anyone know if KDE 3.1 (the final version) will make it into the next RedHat release, which is in beta stage now?


By Klara klok at Sat, 2002/08/24 - 5:00am

It won't.


By Blai at Sat, 2002/08/24 - 5:00am

OK, I've downloaded the source and the related PGP files. How do I now verify that the files I got are the KDE signed ones? I found the KDE signature page:

http://www.kde.org/signature.html

but it doesn't have any info regarding how to vefiry the signature! What command do I use?


By Richard Bollinger at Sun, 2002/08/25 - 5:00am

man gpg


By Anonymous at Sun, 2002/08/25 - 5:00am

Thanks, but I could figure the "man gpg" part out for myself. The more obscure part, figuring out what data I'd bee supplied and the appropriate chain of commands, took me another half an hour. That time would have been eliminated with some simple help on the sig page.


By Richard Bollinger at Sun, 2002/08/25 - 5:00am

Am I missing something?

I can't get the build scripts from CVS to work.

I checked out: KDE_3_1_0_BETA_1

--
JRT


By James Richard Tyrer at Thu, 2002/08/29 - 5:00am

I noticed that if I choose the Connective Crystal Icon Theme. then. KDE Menu shown blank icons for most of the applications. This used to be OK in KDE 3.0.x. Whats up with this ? Any ideas how to fix.

- _deadfish


By _deadfish at Fri, 2002/08/30 - 5:00am

Another thing - The Mandrake binaries dont seem to be installing libkcm_kwinoptions.la and libkcm_konq.la. These are the modules for "Window Behaviour" and "Desktop" in the Control Center. Is there something I can do to fix this or is this a problem with the binaries ?


By _deadfish at Fri, 2002/08/30 - 5:00am

Pages